#include "LookAtScriptedEventMapTriggerComponent.h"
#include "Engine/HitResult.h"
#include "Net/UnrealNetwork.h"

class UPrimitiveComponent;
class AActor;

void ULookAtScriptedEventMapTriggerComponent::ResetTriggerConditions()
{

}

void ULookAtScriptedEventMapTriggerComponent::OnRep_WasEventTriggered()
{

}

void ULookAtScriptedEventMapTriggerComponent::OnRep_IsAnyPlayerLookingAtPoint()
{

}

void ULookAtScriptedEventMapTriggerComponent::OnRep_IsAnyPlayerInTriggerVolume()
{

}

void ULookAtScriptedEventMapTriggerComponent::OnLevelReadyToPlay()
{

}

void ULookAtScriptedEventMapTriggerComponent::Authority_OnPlayerExitTriggerVolume(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex)
{

}

void ULookAtScriptedEventMapTriggerComponent::Authority_OnPlayerEnterTriggerVolume(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

void ULookAtScriptedEventMapTriggerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ULookAtScriptedEventMapTriggerComponent, _isAnyPlayerInTriggerVolume);
	DOREPLIFETIME(ULookAtScriptedEventMapTriggerComponent, _isAnyPlayerLookingAtPoint);
	DOREPLIFETIME(ULookAtScriptedEventMapTriggerComponent, _wasEventTriggered);
}

ULookAtScriptedEventMapTriggerComponent::ULookAtScriptedEventMapTriggerComponent()
{
	this->_precisionAngleDegrees = 45.000000;
	this->_useLookAtTimer = true;
	this->_lookAtTimerTime = -1.000000;
	this->_isAnyPlayerInTriggerVolume = false;
	this->_isAnyPlayerLookingAtPoint = false;
	this->_wasEventTriggered = false;
}
